Page MenuHomePhabricator

Sister search result clicks missing from search event logging
Closed, ResolvedPublic

Description

It seems like the (potentially outdated) code for "ssclick" events was removed after the sister search A/B test and never added back in when the feature was deployed.

T164854 depends on this.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : wmf/1.30.0-wmf.7Adding ssclick events for sister-search results
mediawiki/extensions/WikimediaEvents : masterAdding ssclick events for sister-search results

Event Timeline

mpopov created this task.Jun 26 2017, 10:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2017, 10:28 PM

Change 361688 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/WikimediaEvents@master] Adding ssclick events for sister-search results

https://gerrit.wikimedia.org/r/361688

debt moved this task from Done to Needs review on the Discovery-Analysis (Current work) board.

Change 361688 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Adding ssclick events for sister-search results

https://gerrit.wikimedia.org/r/361688

Change 361950 had a related patch set uploaded (by EBernhardson; owner: Jdrewniak):
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.7] Adding ssclick events for sister-search results

https://gerrit.wikimedia.org/r/361950

Change 361950 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.7] Adding ssclick events for sister-search results

https://gerrit.wikimedia.org/r/361950

Mentioned in SAL (#wikimedia-operations) [2017-06-28T23:44:38Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.7/extensions/WikimediaEvents/modules/ext.wikimediaEvents.searchSatisfaction.js: SWAT: [[gerrit:361950|Adding ssclick events for sister-search results]] T168916 (duration: 00m 46s)

mpopov closed this task as Resolved.Jul 5 2017, 10:15 PM
SELECT DATE(LEFT(timestamp, 8)) AS `date`, COUNT(*) AS ssclicks
FROM (
  SELECT DISTINCT timestamp, event_uniqueId
  FROM TestSearchSatisfaction2_16909631
  WHERE
    LEFT(timestamp, 6) >= '201707'
    AND event_subTest IS NULL
    AND event_source = 'fulltext'
    AND event_action = 'ssclick'
) deduped
GROUP BY `date`
ORDER BY `date`
LIMIT 10;
datessclicks
2017-07-01201
2017-07-02181
2017-07-03186
2017-07-04233
2017-07-05204

Thanks, @Jdrewniak and @EBernhardson!